List of Capacities
curl --request GET \
--url https://public-api.cloudidr.com/external/api/v1/flexcompute/capacities \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.cloudidr.com/external/api/v1/flexcompute/capacities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.cloudidr.com/external/api/v1/flexcompute/capacities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"page": 123,
"pageSize": 123,
"total": 123
}{
"error": {
"code": "401",
"message": "Unauthorized",
"details": {
"timestamp": "2025-03-04T17:01:01",
"description": "Unable to process access token"
}
}
}{
"error": {
"code": "404",
"message": "Not Found",
"details": {
"timestamp": "2025-03-04T16:59:58",
"description": "Provided policy status CANCELED1 not found"
}
}
}{
"error": {
"code": "500",
"message": "Internal Server Error",
"details": {
"timestamp": "2025-03-04T17:17:08",
"description": "Unexpected error. Our team is working on it"
}
}
}Flex compute
List of Capacities
Retrieve a paginated list of FlexCompute capacity policies with optional filtering and sorting.
GET
/
external
/
api
/
v1
/
flexcompute
/
capacities
List of Capacities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number for paginated results.
The number of records per page.
Sort direction by creation date (asc or desc).
Available options:
asc, desc Filter by policy status. Allowed values: ACTIVE, READY_FOR_PURCHASE, EXPIRED, CANCELED, FAILED, COMPLETED.
Available options:
ACTIVE, READY_FOR_PURCHASE, EXPIRED, CANCELED, FAILED, COMPLETED ⌘I

